2009-12-08  Chris Toshok  <toshok@ximian.com>

	* MediaStreamSource.cs: we need to only create the streams when
	we're not talking about drm content.  we do still need to call
	ReportOpenDemuxerCompleted though.  This fixes the netflix drm
	warning.

2009-12-08  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* MediaStreamSource.cs: Set the drm flag on the demuxer if we get drm
	media.

2009-12-04  Alan McGovern  <amcgovern@novell.com>

	* MediaAttribute.cs: Don't bother storing a copy of the Name
	  property locally - just use FrameworkElement.NameProperty.

2009-12-03  Jeffrey Stedfast  <fejj@novell.com>

	* MediaSampleAttributeKeys.cs: Added FrameWidth and FrameHeight
	values.

2009-11-25  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* MediaStreamSource.cs: Pass a hardcoded 'true' as the keyframe flag
	for all frames instead of a hardcoded 'false'. This makes seeking on
	iis.net/media/experiencesmoothstreaming work again.

2009-11-20  Chris Toshok  <toshok@ximian.com>

	* TextOptions.cs, TextHintingMode.cs: new files.

2009-11-19  Chris Toshok  <toshok@ximian.com>

	* MediaStreamSource.cs: stub out AudioBufferLength to get
	smoothstreaming working again.

2009-11-18  Sebastien Pouliot  <sebastien@ximian.com>

	* MediaStreamSource.cs: Refactor use of GCHandle into a single 
	method. Add a few FIXME wrt new unit tests.

2009-11-18  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* TimelineMarkerRoutedEventArgs.cs: Use same logic as the rest of the
	RoutedEventArgs.

2009-11-18  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* LogReadyRoutedEventArgs.cs: Added internal ctor from native object.

2009-11-10  Sebastien Pouliot  <sebastien@ximian.com>

	* VisualTreeHelper.cs: Add comment about lack of validation and 
	NRE in FindElementsInHostCoordinates overloads

	r: toshok

2009-11-09  Chris Toshok  <toshok@ximian.com>

	* CacheMode.cs: new file.

	* BitmapCache.cs: new file.

	r: spouliot

2009-11-09  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* LogSource.cs:
	* LogReadyRoutedEventArgs.cs:
	* LogReadyRoutedEventHandler.cs: Added, new 3.0 types.

	r: toshok

2009-11-03  Sebastien Pouliot  <sebastien@ximian.com>

	* CompositionTarget.cs: Add null check in RegisterEvent otherwise
	a null value would cause a bunch of NRE later on (in tests or in
	normal execution)

	r: jackson

2009-10-29  Alan McGovern  <amcgovern@novell.com>

	* MultiScaleTileSource.cs: Don't call native methods inside
	  anonymous methods as the autogenerated method name can
	  change and break the security system. r: spouliot

2009-10-23  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* MediaStreamSource.cs: Fix parsing of CanSeek: only 'false' values
	(caseinsensitively) are considered false, everything else is true.

	r: sde

2009-10-23  Stephane Delcroix  <sdelcroix@novell.com>

	* DeepZoomImageTileSource.cs: the stip_and_set hack is no longer needed
	with latest Uri::Combine changes.

	r: rolf

2009-10-01  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* MultiScaleTileSource.cs: Enqueue clean actions with the Deployment to
	ensure proper cleanup of callbacks.

	r: andreia

2009-10-07  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* MediaStreamSource.cs: Clear the callbacks into managed code upon
	finalization or close.

	r: alan
	
2009-09-25  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* MultiScaleTileSource.cs: Initialize: No need to create a delegate and
	a GCHandle for it if we're not going to use it.

	r: sde

2009-09-23  Chris Toshok  <toshok@ximian.com>

	* RenderingEventArgs.cs: there's no reason to maintain
	a reference to the native peer in this class.  The fields are all
	read-only and can be initialized in the ctor.

	* ImageBrush.cs: remove all the autogenerated events.

	* CompositionTarget.cs: use the new event registration stuff.

	r: spouliot, andriea

2009-09-16  Larry Ewing  <lewing@novell.com>

	* MultiScaleTileSource.cs: move this property to managed.

	r: toshok

2009-09-14  Chris Toshok  <toshok@ximian.com>

	* ImageBrush.cs (InvokeImageFailed): we need to create the
	exceptionroutedeventargs from the calldata.

2009-09-03  Stephane Delcroix  <sdelcroix@novell.com>

	* DeepZoomImageTileSource.cs: use the same code path as the native
	ctors to set the sourceuri.

2009-08-27  Stephane Delcroix  <sdelcroix@novell.com>

	* MultiScaleTileSource.cs: those stuffs are now autogenerated

2009-08-13  Stephane Delcroix  <sdelcroix@novell.com>

	* multiScaleTileSource.cs : throw ArgumentException on negative ctor
	args. Partly fix drt 874.

2009-08-07  Andreia Gaita  <avidigal@novell.com>

	* MultiScaleTileSource.cs: Fix cast

2009-07-15  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* MediaStreamSource.cs: Fix parsing of audio extra data.

2009-07-15  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* MediaStreamSource.cs: Update according to AudioStream API changes.

2009-07-15  Stephane Delcroix  <sdelcroix@novell.com>

	* MultiScaleTileSource.cs: call the native method for InvalidateTileLayer

2009-06-19  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* DeepZoomImageTileSource.cs: Print fixme to console to speed up
	debugging.

2009-06-12  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* ImageBrush.cs: Implement ImageFailed event propagation from
	unmanaged code.

2009-05-19  Stephane Delcroix  <sdelcroix@novell.com>

	* MultiScaleImageTileSource.cs: do not try to set the callback method
	for DeepZoomImageTileSources. Avoid a native call and a g_warning.

2009-04-19  Chris Toshok  <toshok@ximian.com>

	* CompositionTarget.cs (UnmanagedRendering): create a
	RenderingEventArgs.

	* RenderingEventArgs.cs: flesh this out.

2009-04-14  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* MultiScaleTileSource.cs: Generate all P/Invoke methods.

2009-03-29  Geoff Norton  <gnorton@novell.com>

	* PixelFormat.cs, PixelFormats.cs, PixelFormatKind.cs: New SL3 API
	required for WriteableBitmap.

2009-03-26  Stephane Delcroix  <sdelcroix@novell.com>

	* MultiScaleTileSource.cs: drop the useless GetImageUri, fix 
	GetImageUriSafe to parse to the unmanaged uri, and no longer return
	a managed string to native land.

2009-03-24  Atsushi Enomoto  <atsushi@ximian.com>

	* MediaStreamSource.cs : add "True" and "False" for possible
	  MediaStreamAttributesKeys.CanSeek values.

2009-03-13  Alan McGovern  <amcgovern@novell.com>

	* CompositionTarget.cs: 't' is not a GCHandle. Fixes
	  silverlight metronome.

2009-03-02  Stephane Delcroix  <sdelcroix@novell.com>

	* MultiScaleTileSource.cs: chain the ctors.

2009-02-22  Geoff Norton  <gnorton@novell.com>

	* MediaStreamSource.cs: The CodecPrivateData needs to be pushed
	down for audio as well as video.

2009-02-22  Geoff Norton  <gnorton@novell.com>

	* MediaStreamSource.cs: The CodecPrivateData is extra_data to our pipeline
	and codec implementation, parse and pass it.

2009-02-22  Geoff Norton  <gnorton@novell.com>

	* MediaStreamSource.cs: The sample offset is an offset in the stream,
	not an offset in the buffer.

2009-02-19  Jeffrey Stedfast  <fejj@novell.com>

	* VideoBrush.cs (SetSource): Implemented.

2009-02-18  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* MediaStreamSource.cs:
	* MediaStreamDescription.cs: Initial implementation of
	  MediaStreamSource.

2009-02-17  Jeffrey Stedfast  <fejj@novell.com>

	* MediaAttribute.cs: New internal class.

	* MediaAttributeCollection.cs: New internal class.

2009-02-05  Alan McGovern  <alan.mcgovern@gmail.com>

	* VisualTreeHelper.cs: Create an unmanaged version of
	  FindElementsInHostCoordinates

2009-02-05  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* MultiScaleTileSource.cs: Ensure no exceptions reach native
	  code.

2009-02-04  Alan McGovern  <amcgovern@novell.com>

	* VisualTreeHelper.cs: Hook up the managed hittesting code to
	  the native hit testing code.

2009-02-02  Chris Toshok  <toshok@ximian.com>

	* GradientBrush.cs: remove the ContentProperty attribute - we
	autogenerate it now.

	* PathGeometry.cs: same.

	* PathFigure.cs: same.

	* TransformGroup.cs: same.

	* GeometryGroup.cs: same.

2009-01-30  Sebastien Pouliot  <sebastien@ximian.com>

	* Geometry.cs: Implement NIE properties.
	* GeometryGroup.cs, PathFigure.cs, PathGeometry.cs, 
	PolyBezierSegment.cs, PolyLineSegment.cs, 
	PolyQuadraticBezierSegment.cs: Add missing [ContentProperty]

2009-01-29  Stephane Delcroix  <sdelcroix@novell.com>

	* DeepZoomImageTileSource.cs: parse the 2.0 final 
	format for images. drop most of the current code

2009-01-29  Stephane Delcroix  <sdelcroix@novell.com>

	* MultiScaleTileSource.cs: image size is in long

2009-01-29  Stephane Delcroix  <sdelcroix@novell.com>

	* DeepZoomImageTileSource.cs: keep the delegate

2009-01-27  Chris Toshok  <toshok@ximian.com>

	* FontFamily.cs: add StructLayout.

2009-01-26  Sebastien Pouliot  <sebastien@ximian.com>

	* Color.cs: Complete IFormatProvider/IFormattable support
	* Matrix.cs: Complete IFormatProvider/IFormattable support

2009-01-26  Geoff Norton  <gnorton@novell.com>

	* CompositionTarget.cs: Surface lives in Deployment now.

2009-01-25  Sebastien Pouliot  <sebastien@ximian.com> 

	* Matrix.cs: Add new unsafe ctor (to reduce duplication)
	* TransformGroup.cs: Add missing [ContentProperty]. Implement Value
	property. 

2009-01-25  Sebastien Pouliot  <sebastien@ximian.com>

	* GradientBrush.cs: Add missing [ContentProperty]
	* GradientStop.cs: Add missing [ContentProperty]
	* SolidColorBrush.cs: Add missing [ContentProperty]
	* StyleSimulations.cs: Add missing [Flags]

2009-01-23  Geoff Norton  <gnorton@novell.com>

	* Matrix.cs: Not nuking any values we put into matrix every time we touch
	it is a nice thing for the world.

2009-01-23  Sebastien Pouliot  <sebastien@ximian.com>

	* LinearGradientBrush.cs: call default ctor
	* RadialGradientBrush: Implement the two extra ctors

2009-01-23  Stephane Delcroix  <sdelcroixnovell.com>

	* MultiScaleTileSource.cs: keep a GCHandle on the delegate.

2009-01-23  Sebastien Pouliot  <sebastien@ximian.com>

	* Color.cs: Fix ToString format

2009-01-22  Stephane Delcroix  <sdelcroix@novell.com>

	* DeepZoomImageTileSource.cs: no longer throws  a NIE. Fixes a stupid
	typo.

2009-01-21  Geoff Norton  <gnorton@novell.com>

	* ImageSource.cs: Drop a bunch of old hacky code now that we do things
	the right way.

2009-01-21  Sebastien Pouliot  <sebastien@ximian.com>

	* Color.cs: Call ToString in it's (otherwise unimplemented) overloads
	so we can pass some unit tests that use them.

2009-01-19  Alan McGovern  <amcgovern@novell.com>

	* CompositionTarget.cs: Change all our native callbacks to use a wrapped
	handler which traps managed exceptions.

2009-01-18  Sebastien Pouliot  <sebastien@ximian.com> 

	* UnmanagedMatrix.cs: New. This matrix type match the one provided
	inside libmoon (i.e. a DO based type, not a struct like Matrix is
	represented in SL2 / managed code).

2009-01-18  Sebastien Pouliot  <sebastien@ximian.com>

	* Matrix.cs: Implement Transform method. Rework == operator to deal
	with uninitialized matrices. Return ToString() on overloads and add
	a TODO on them.	This is needed for some unit tests (which calls the
	overload to detect equality).

2009-01-15  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* MediaStreamSource.cs: Tiny little beginning of MediaStreamSource and
	remove a few members which can be generated now that the native
	MediaElement doesn't inherit from MediaBase anymore.

2009-01-14  Sebastien Pouliot  <sebastien@ximian.com>

	* LinearGradientBrush.cs: Implement the special (non-default) ctor
	needed to execute the SDK data controls unit tests

2009-01-14  Stephane Delcroix  <sdelcroix@novell.com>

	* MultiScaleTileSource.cs: set the callback on Initialize ()

2009-01-14  Stephane Delcroix  <sdelcroix@novell.com>

	* DeepZoomImageTileSource.cs: set the downloadercb in Initialize ()

2009-01-13  Stephane Delcroix  <sdelcroix@novell.com>

	* MultiScaleTileSource.cs: set a native callback to get the results
	of GetTileLayers.

2008-12-11  Andreia Gaita  <shana@jitted.com>

	* CompositionTarget.cs: Implemented

2008-11-26  Jackson Harper  <jackson@ximian.com>

	* DeepZoomImageTileSource.cs: The dependency proeprty is now in
	managed, comment out the setter because the generator creates one
	for us.

2008-11-19  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* ImageSource.cs, SolidColorBrush.cs, TimelineMarkerRoutedEventArgs.cs:
	  Corcompare.

2008-11-18  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* CompositionTarget.cs, LicenseAcquirer.cs, RenderingEventArgs.cs,
	  MultiScaleTileSource.cs, VisualTreeHelper.cs: Corcompare work.

2008-11-18  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* DoubleCollection.cs, GradientStopCollection.cs,
	  PathFigureCollection.cs, GeometryCollection.cs,
	  PathSegmentCollection.cs, PointCollection.cs,
	  TimelineMarkerCollection.cs, TransformCollection.cs: Corcompare
	  work.

2008-11-14  Alan McGovern  <amcgovern@novell.com>

	* SolidColorBrush.cs: Add partial support for two way binding and for
	using Binding.Converter

2008-09-11  Stephane Delcroix  <sdelcroix@novell.com>

	* DeepZoomImageTileSource.cs: set the TileWidth, Height
	* MultiScaleTileSource.cs: access the properties of the unmanaged
	side.

2008-09-10  Jeffrey Stedfast  <fejj@novell.com>

	* DeepZoomImageTileSource.cs: Fixed protection of DP.

2008-09-05  Stephane Delcroix  <sdelcroix@novell.com>

	* MultiScaleTileSource.cs: implements the ctor so it no longer throw.
	* DeepZoomImageTileSource.cs: implement the xml parser.

2008-09-04  Larry Ewing  <lewing@novell.com>

	* VisualTreeHelper.cs: use the new FrameworkElement.SubtreeObject
	to hack together a functional VisualTreeHelper.

2008-09-04  Stephane Delcroix  <sdelcroix@novell.com>

	* DeepZoomImageTileSource.cs: Implement the file downloader.

2008-08-24  Geoff Norton  <gnorton@novell.com>

	* ImageSource.cs: Move the logic for source setting here
	so that all FrameworkElements can share the same code path.

2008-08-23  Geoff Norton  <gnorton@novell.com>

	* ImageSource.cs: Add internal ctor.

2008-08-15  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* MediaStreamSource.cs: Implement MediaElement.SetSource (stream)

2008-08-14  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TimelineMarkerRoutedEventArgs.cs: Added internal ctor.

2008-08-14  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* RadialGradientBrush.cs, Color.cs, Geometry.cs,
	  LinearGradientBrush.cs, MediaStreamSample.cs, ImageBrush.cs,
	  TransformGroup.cs, VideoBrush.cs, Matrix.cs,
	  TimelineMarkerRoutedEventArgs.cs: Gui-compare fixes.

2008-08-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* DeepZoomImageTileSource.cs, MultiScaleTileSource.cs: Added.

2008-08-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* FontFamily.cs, GeneralTransform.cs, SolidColorBrush.cs: Changed some
	  parameter names, base types, method signatures, etc to match SL.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* DoubleCollection.cs, PointCollection.cs: Remove more code, add more
	  partial modifiers and fix DependencyObject.g.cs whitespace problem.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* ArcSegment.cs, BezierSegment.cs, Brush.cs, EllipseGeometry.cs,
	  GeneralTransform.cs, Geometry.cs, GeometryCollection.cs,
	  GeometryGroup.cs, GradientBrush.cs, GradientStop.cs,
	  GradientStopCollection.cs, ImageBrush.cs, LinearGradientBrush.cs,
	  LineGeometry.cs, LineSegment.cs, MatrixTransform.cs, PathFigure.cs,
	  PathFigureCollection.cs, PathGeometry.cs, PathSegment.cs,
	  PathSegmentCollection.cs, PolyBezierSegment.cs, PolyLineSegment.cs,
	  PolyQuadraticBezierSegment.cs, QuadraticBezierSegment.cs,
	  RadialGradientBrush.cs, RectangleGeometry.cs, RotateTransform.cs,
	  ScaleTransform.cs, SkewTransform.cs, SolidColorBrush.cs,
	  TileBrush.cs, TimelineMarker.cs, TimelineMarkerCollection.cs,
	  Transform.cs, TransformCollection.cs, TransformGroup.cs,
	  TranslateTransform.cs, VideoBrush.cs: Generate public ctor,
	  internal ctor and GetKind for classes inheriting from
	  DependencyObject.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* GeneralTransform.cs, GeometryCollection.cs,
	  GradientStopCollection.cs, PathFigureCollection.cs, PathSegment.cs,
	  PathSegmentCollection.cs, TimelineMarkerCollection.cs,
	  Transform.cs, TransformCollection.cs: Make classes partial.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* PolyLineSegment.cs, RadialGradientBrush.cs, RotateTransform.cs,
	  Geometry.cs, LinearGradientBrush.cs, TileBrush.cs,
	  GradientBrush.cs, BezierSegment.cs, LineGeometry.cs,
	  GeometryGroup.cs, EllipseGeometry.cs, LineSegment.cs,
	  RectangleGeometry.cs, ImageBrush.cs, TransformGroup.cs,
	  ArcSegment.cs, PolyQuadraticBezierSegment.cs, SkewTransform.cs,
	  PathGeometry.cs, TimelineMarker.cs, VideoBrush.cs, Brush.cs,
	  TranslateTransform.cs, PathFigure.cs, MatrixTransform.cs,
	  QuadraticBezierSegment.cs, GradientStop.cs, SolidColorBrush.cs,
	  ScaleTransform.cs, PolyBezierSegment.cs: Implement DP accessor
	  generation.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* ArcSegment.cs, BezierSegment.cs, Brush.cs, EllipseGeometry.cs,
	  Geometry.cs, GeometryGroup.cs, GradientBrush.cs, GradientStop.cs,
	  ImageBrush.cs, LinearGradientBrush.cs, LineGeometry.cs,
	  LineSegment.cs, MatrixTransform.cs, PathFigure.cs, PathGeometry.cs,
	  PolyBezierSegment.cs, PolyLineSegment.cs,
	  PolyQuadraticBezierSegment.cs, QuadraticBezierSegment.cs,
	  RadialGradientBrush.cs, RectangleGeometry.cs, RotateTransform.cs,
	  ScaleTransform.cs, SkewTransform.cs, SolidColorBrush.cs,
	  TileBrush.cs, TimelineMarker.cs, TransformGroup.cs,
	  TranslateTransform.cs, VideoBrush.cs: Make classes partial and
	  remove DP registration, which is now generated.

2008-08-11  Chris Toshok  <toshok@ximian.com>

	* VisualTreeHelper.cs: implement this so it passes the unit tests.

2008-08-09  Chris Toshok  <toshok@ximian.com>

	* ImageSource.cs: new stub.

2008-08-05  Chris Toshok  <toshok@ximian.com>

	* GeneralTransform.cs: add.

	* Transform.cs: make this class a subclass of GeneralTransform.

2008-07-29  Jeffrey Stedfast  <fejj@novell.com>

	* FontFamily.cs: Implemented.

2008-07-28  Chris Toshok  <toshok@ximian.com>

	* GradientStopCollection.cs: stub out
	PresentationFrameworkCollection<T> overrides.

	* TimelineMarkerCollection.cs: same.

	* GeometryCollection.cs: same.

	* PathFigureCollection.cs: same.

	* TransformCollection.cs: same.

	* PathSegmentCollection.cs: same.

2008-07-28  Chris Toshok  <toshok@ximian.com>

	* PointCollection.cs, DoubleCollection.cs: new classes.

2008-07-23  Jeffrey Stedfast  <fejj@novell.com>

	* Geometry.cs: Updated.

	* StyleSimulations.cs: Updated.

2008-07-23  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TimelineCollection.cs: Moved.
	* Visual.cs, VisualCollection.cs, VisualBrush.cs: Removed.

2008-07-23  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* MediaAttributeCollection.cs, MediaAttribute.cs: Removed
	  MediaAttribute(Collection).

2008-07-23  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* MediaStreamSample.cs, MediaSourceAttributesKeys.cs,
	  MediaStreamSource.cs, MediaStreamDescription.cs,
	  MediaStreamSourceDiagnosticKind.cs,
	  TimelineMarkerRoutedEventHandler.cs, MediaStreamType.cs,
	  MediaStreamAttributesKeys.cs, MediaSampleAttributeKeys.cs,
	  TimelineMarkerRoutedEventArgs.cs: More B2 updates.
	* MediaElementState.cs: Added.

2008-07-23  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* StyleSimulations.cs: Moved StyleSimulations to System.Windows.Media.

2008-07-23  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* ImageBrush.cs: Fix ImageFailed signature.

2008-07-22  Jeffrey Stedfast  <fejj@novell.com>

	* TimelineMarkerCollection.cs: Moved here from
	System.Windows.Media.Animation namespace.

	* TimelineMarker.cs: Same.

2008-03-13  Sebastien Pouliot  <sebastien@ximian.com>

	* Color.cs: Fix compiler warnings.

2008-03-04  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Visual.cs: Fix another breakage.

2008-03-04  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Visual.cs: Guard against accessing SurfaceInDomain when multiple surfaces
	  per domain is allowed.

2007-10-12  Jb Evain  <jbevain@novell.com>

	* ImageBrush.cs (ImageBrush.SetSource): implement.

2007-10-11  Jb Evain  <jbevain@novell.com>

	* MediaAttributeCollection.cs: implement GetItemByName.

2007-10-10  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Visual.cs: Set the surface of the visual upon creation.

2007-09-27  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* RadialGradientBrush.cs, PolyLineSegment.cs, GradientStopCollection.cs,
	  VisualCollection.cs, TimelineCollection.cs, Brush.cs,
	  TransformCollection.cs, TranslateTransform.cs, RotateTransform.cs,
	  Geometry.cs, PathSegmentCollection.cs, LinearGradientBrush.cs,
	  PathFigure.cs, MatrixTransform.cs, GradientBrush.cs, TileBrush.cs,
	  QuadraticBezierSegment.cs, BezierSegment.cs, GradientStop.cs, Visual.cs,
	  LineGeometry.cs, GeometryGroup.cs, EllipseGeometry.cs, LineSegment.cs,
	  Transform.cs, SolidColorBrush.cs, PathSegment.cs,
	  MediaAttributeCollection.cs, RectangleGeometry.cs, ScaleTransform.cs,
	  ImageBrush.cs, ArcSegment.cs, TransformGroup.cs, MediaAttribute.cs,
	  SkewTransform.cs, PolyQuadraticBezierSegment.cs, PolyBezierSegment.cs,
	  GeometryCollection.cs, VisualBrush.cs, PathGeometry.cs, VideoBrush.cs,
	  PathFigureCollection.cs: Don't ref ourself if we're created using a
	  *_new function, the creation itself already gives us a ref.

2007-08-04  Chris Toshok  <toshok@ximian.com>

	* VisualBrush.cs: new class.  yay for embrace/extend.

2007-08-01  Chris Toshok  <toshok@ximian.com>

	* Geometry.cs: Geometry.Transform is a Transform, not a
	TransformGroup.

2007-07-30  Chris Toshok  <toshok@ximian.com>

	* PathFigure.cs: IsFilled is gone in RC1.
	
2007-07-30  Chris Toshok  <toshok@ximian.com>

	* Brush.cs: RC1 breaking change - TransformGroup -> Transform.

2007-07-12  Chris Toshok  <toshok@ximian.com>

	* Visual.cs: implement the mouse capturing calls.

2007-06-21  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Brush.cs, Transform.cs: Make this class abstract.

2007-06-15  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TransformGroup.cs: Implement ChildrenProperty.

2007-06-14  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* ImageBrush.cs: Marshal Uri as string.

2007-06-14  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TimelineCollection.cs, TransformCollection.cs: Implement.
	* TileBrush.cs: Fix property types.
	* PolyQuadraticBezierSegment.cs: Fix native constructor name.

2007-06-14  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* RadialGradientBrush.cs, PolyLineSegment.cs,
	  GradientStopCollection.cs, TranslateTransform.cs, Geometry.cs,
	  PathSegmentCollection.cs, LinearGradientBrush.cs, PathFigure.cs,
	  MatrixTransform.cs, QuadraticBezierSegment.cs, LineGeometry.cs,
	  Visual.cs, GradientStop.cs, BezierSegment.cs, EllipseGeometry.cs,
	  LineSegment.cs, SolidColorBrush.cs, PathSegment.cs,
	  MediaAttributeCollection.cs, RectangleGeometry.cs,
	  ScaleTransform.cs, ImageBrush.cs, ArcSegment.cs, TransformGroup.cs,
	  MediaAttribute.cs, SkewTransform.cs, PolyQuadraticBezierSegment.cs,
	  PolyBezierSegment.cs, PathGeometry.cs, VideoBrush.cs,
	  PathFigureCollection.cs: Constructor fixes, part 3.

2007-06-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* RadialGradientBrush.cs, PolyLineSegment.cs,
	  GradientStopCollection.cs, VisualCollection.cs, Brush.cs,
	  TranslateTransform.cs, RotateTransform.cs, Geometry.cs,
	  PathSegmentCollection.cs, LinearGradientBrush.cs, PathFigure.cs,
	  MatrixTransform.cs, GradientBrush.cs, TileBrush.cs,
	  QuadraticBezierSegment.cs, BezierSegment.cs, GradientStop.cs,
	  Visual.cs, LineGeometry.cs, GeometryGroup.cs, EllipseGeometry.cs,
	  LineSegment.cs, Transform.cs, SolidColorBrush.cs, PathSegment.cs,
	  MediaAttributeCollection.cs, RectangleGeometry.cs,
	  ScaleTransform.cs, ImageBrush.cs, ArcSegment.cs, TransformGroup.cs,
	  MediaAttribute.cs, SkewTransform.cs, PolyQuadraticBezierSegment.cs,
	  PolyBezierSegment.cs, GeometryCollection.cs, PathGeometry.cs,
	  VideoBrush.cs, PathFigureCollection.cs: Second pass on
	  constructors.

2007-06-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Brush.cs, GradientBrush.cs, Transform.cs: Fix constructor, don't
	  construct anything if we're not the class to construct.

2007-06-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* GradientStopCollection.cs, VisualCollection.cs, Brush.cs,
	  PathSegmentCollection.cs, LinearGradientBrush.cs,
	  QuadraticBezierSegment.cs, TileBrush.cs, GradientBrush.cs,
	  GradientStop.cs, Transform.cs, MediaAttributeCollection.cs,
	  ImageBrush.cs, MediaAttribute.cs, SkewTransform.cs,
	  GeometryCollection.cs, VideoBrush.cs, PathFigureCollection.cs: Use
	  native constructors.

2007-06-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Visual.cs: Implement GetKind.

2007-06-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* GradientStopCollection.cs, VisualCollection.cs,
	  PathSegmentCollection.cs, PathSegment.cs,
	  MediaAttributeCollection.cs, MediaAttribute.cs,
	  PathFigureCollection.cs: Implement GetKind.

2007-06-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* RadialGradientBrush.cs: Construct this object properly.
	* TileBrush.cs, RectangleGeometry.cs, MediaAttribute.cs,
	  SkewTransform.cs: Fix property lookup, the parameters were mixed
	  up.

2007-06-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* RadialGradientBrush.cs: Fix DependencyProperty.Lookup calls, I got
	  the parameters mixed up.
	* ColorInterpolationMode.cs, GradientBrush.cs,
	  ColorInterpretationMode.cs: Fix typo (rename
	  ColorInterpretationMode to ColorInterpolationMode).

2007-06-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* RadialGradientBrush.cs, TileBrush.cs, RectangleGeometry.cs,
	  MediaAttribute.cs, SkewTransform.cs: Move from
	  DependencyProperty.Register to DependencyProperty.Lookup.

2007-06-05  Sebastien Pouliot  <sebastien@ximian.com>

	* Color.cs: Complete, needs testing (and maybe change to use 4 float
	values instead of a single uint).
	* Colors.cs: Complete.

2007-06-05  Sebastien Pouliot  <sebastien@ximian.com> 

	* AlignmentX.cs: New enum.
	* AlignmentY.cs: New enum.
	* MediaAttributeCollection.cs: New.
	* MediaAttribute.cs: New.
	* QuadraticBezierSegment.cs: New.
	* TimelineCollection.cs: New (not yet included in build)

2007-06-04  Sebastien Pouliot  <sebastien@ximian.com> 

	* EllipseGeometry.cs: New.
	* GeometryCollection.cs: New.
	* GeometryGroup.cs: New.
	* LineGeometry.cs: New.
	* PathFigureCollection.cs: New.
	* PathFigure.cs: New.
	* PathGeometry.cs: New.
	* PathSegmentCollection.cs: New.

2007-06-03  Sebastien Pouliot  <sebastien@ximian.com> 

	* BrushMappingMode.cs: New.
	* Color.cs: New (incomplete)
	* ColorInterpretationMode.cs: New.
	* Colors.cs: New (incomplete)
	* GradientBrush.cs: New.
	* GradientSpreadMethod.cs: New.
	* GradientStopCollection.cs: New.
	* GradientStop.cs: New.
	* ImageBrush.cs: New.
	* LinearGradientBrush.cs: New.
	* RadialGradientBrush.cs: New.
	* SolidColorBrush.cs: New.
	* TileBrush.cs: New.
	* VideoBrush.cs: New.

2007-06-03  Sebastien Pouliot  <sebastien@ximian.com>

	* Matrix.cs: New.
	* MatrixTransform.cs: New.
	* RotateTransform.cs: New.
	* ScaleTransform.cs: New.
	* SkewTransform.cs: New.
	* Transform.cs: Inherits from DependencyObject
	* TranslateTransform.cs: New.

2007-06-01  Sebastien Pouliot  <sebastien@ximian.com>

	* RectangleGeometry.cs: New.

2007-06-01  Sebastien Pouliot  <sebastien@ximian.com> 

	* PenLineCap.cs: New. enum required to complete S.W.Shapes
	* PenLineJoin.cs: New. enum required to complete S.W.Shapes
	* Stretch.cs: New. enum required to complete S.W.Shapes
